<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [tprintf](./bitburner.ns.tprintf.md)

## NS.tprintf() method

Prints a raw value or a variable to the Terminal.

**Signature:**

```typescript
tprintf(format: string, ...values: any[]): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  format | string | Format of the message. |
|  values | any\[\] | Value(s) to be printed. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

- See [print](./bitburner.ns.print.md) for how to add color to your printed strings.

- See [printf](./bitburner.ns.printf.md) for examples on formatted strings.

- For more detail, see: https://github.com/alexei/sprintf.js

